> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Secret Details



## OpenAPI

````yaml api-reference/openapi.json get /secrets/{secret_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /secrets/{secret_id}:
    get:
      tags:
        - Secrets
      summary: Get Secret Details
      operationId: get_secret_secrets__secret_id__get
      parameters:
        - name: secret_id
          in: path
          required: true
          schema:
            type: integer
            title: Secret Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SecretsResponse:
      properties:
        secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        file:
          anyOf:
            - type: string
            - type: 'null'
          title: File
        line:
          anyOf:
            - type: string
            - type: 'null'
          title: Line
        start_line:
          anyOf:
            - type: integer
            - type: 'null'
          title: Start Line
        end_line:
          anyOf:
            - type: integer
            - type: 'null'
          title: End Line
        start_column:
          anyOf:
            - type: integer
            - type: 'null'
          title: Start Column
        end_column:
          anyOf:
            - type: integer
            - type: 'null'
          title: End Column
        match:
          anyOf:
            - type: string
            - type: 'null'
          title: Match
        rule:
          anyOf:
            - type: string
            - type: 'null'
          title: Rule
        commit:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit
        author:
          anyOf:
            - type: string
            - type: 'null'
          title: Author
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Date
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        repository_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Repository Id
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        fingerprint:
          anyOf:
            - type: string
            - type: 'null'
          title: Fingerprint
        entropy:
          anyOf:
            - type: number
            - type: 'null'
          title: Entropy
        severity:
          anyOf:
            - $ref: '#/components/schemas/SeverityLevel'
            - type: 'null'
        scan_type:
          anyOf:
            - $ref: '#/components/schemas/ScanType'
            - type: 'null'
        whitelisted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Whitelisted
        id:
          type: integer
          title: Id
        whitelist_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Whitelist Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        pr_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pr Id
        pr_scan_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pr Scan Id
        commit_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Commit Id
        live_commit_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Live Commit Id
        live_commit_scan_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Live Commit Scan Id
        repository:
          anyOf:
            - $ref: '#/components/schemas/RepoResponse'
            - type: 'null'
      type: object
      required:
        - id
      title: SecretsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SeverityLevel:
      type: string
      enum:
        - critical
        - high
        - medium
        - low
        - informational
        - unknown
      title: SeverityLevel
    ScanType:
      type: string
      enum:
        - repo_scan
        - pr_scan
        - live_commit
      title: ScanType
    RepoResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        repoUrl:
          type: string
          title: Repourl
        author:
          type: string
          title: Author
        lastScanDate:
          type: string
          format: date-time
          title: Lastscandate
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - repoUrl
        - author
        - lastScanDate
        - created_at
      title: RepoResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````